import { IAttach, TSignal } from "../types";
export declare const handlers: {
    signal(sig: TSignal): Promise<void>;
    exception(err: Error): Promise<void>;
    rejection(_: any, reason: Promise<any>): Promise<void>;
    exit(code: number): Promise<void>;
};
export declare function attach({ signal, exception, rejection, exit }?: Partial<IAttach>): void;
export declare function unattach({ signal, exception, rejection, exit }?: Partial<IAttach>): void;
